import prettier from 'prettier';
interface FormatTypeContext {
    namespace: string;
}
export declare function pretify(output: string, parser: prettier.BuiltInParserName): string;
export declare function expandType(type: string | string[], data?: FormatTypeContext): string;
/**
 * Convert to typescript type eg "string" => "string" or "array:array:string" => "string[][]"
 * @param type Must be in format (array:)*TYPE
 */
export declare function formatTypeToTypescript(type: string): string;
export declare function formatTypeNamespace(type: string, data: FormatTypeContext): string;
export declare function formatTypeSimple(type: string): string;
export declare function isTypeNatural(type: string): boolean;
export declare function lcFirst(name: string): string;
export {};
